---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    fabric8.pipeline-test-project/summary: "Demo project for Spring Boot"
    description: "Demo project for Spring Boot"
    fabric8.pipeline-test-project/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "pipeline-test-project"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "pipeline-test-project"
      provider: "fabric8"
      version: "0.0.111"
      group: "io.fabric8"
    name: "pipeline-test-project"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "pipeline-test-project"
      provider: "fabric8"
      group: "io.fabric8"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v0.0.111"
      fabric8.io/git-commit: "27f11860eaa709ba83f151f0295a0f565aa4102c"
      fabric8.io/build-url: "http://null:80/job/spring-boot-dependencies"
    labels:
      project: "pipeline-test-project"
      provider: "fabric8"
      version: "0.0.111"
      group: "io.fabric8"
    name: "pipeline-test-project"
  spec:
    replicas: 1
    selector:
      project: "pipeline-test-project"
      provider: "fabric8"
      version: "0.0.111"
      group: "io.fabric8"
    template:
      metadata:
        annotations: {}
        labels:
          project: "pipeline-test-project"
          provider: "fabric8"
          version: "0.0.111"
          group: "io.fabric8"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/pipeline-test-project:0.0.111"
          name: "pipeline-test-project"
          ports:
          - containerPort: 8080
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
